<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="organ_10"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Landscape"
		 pageWidth="842"
		 pageHeight="595"
		 columnWidth="782"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="20"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="REQUETE_SQL" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["SELECT org_id, org_niv, org_pere, org_univ, org_etab, org_ub, org_cr, org_lib, org_lucrativite,org_date_ouverture, org_date_cloture, log_ordre, tyor_id, org_souscr, s.lc_structure, s.ll_structure, DECODE (org_niv, 4, org_souscr, 3, org_cr, 2, org_ub, 1, org_etab, 0, org_univ ) AS org_short_lib FROM jefy_admin.organ o, v_structure_ulr s  WHERE o.c_structure = s.c_structure(+)  and  (ORG_DATE_OUVERTURE <= to_date( '31/12/2006', 'dd/mm/yyyy') ) and (ORG_DATE_CLOTURE is null or ORG_DATE_CLOTURE >= to_date('01/01/2006','dd/mm/yyyy')  )  and org_niv<>0  ORDER BY org_univ nulls first, org_etab nulls first, org_ub nulls first, org_cr nulls first, org_souscr nulls first"]]></defaultValueExpression>
	</parameter>
	<parameter name="UNIV" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="EXE_EXERCICE" isForPrompting="false" class="java.lang.Integer"/>
	<queryString><![CDATA[$P!{REQUETE_SQL}]]></queryString>

	<field name="ORG_ID" class="java.lang.Integer"/>
	<field name="ORG_NIV" class="java.math.BigDecimal"/>
	<field name="ORG_PERE" class="java.math.BigDecimal"/>
	<field name="ORG_UNIV" class="java.lang.String"/>
	<field name="ORG_ETAB" class="java.lang.String"/>
	<field name="ORG_UB" class="java.lang.String"/>
	<field name="ORG_CR" class="java.lang.String"/>
	<field name="ORG_LIB" class="java.lang.String"/>
	<field name="ORG_LUCRATIVITE" class="java.math.BigDecimal"/>
	<field name="ORG_DATE_OUVERTURE" class="java.sql.Timestamp"/>
	<field name="ORG_DATE_CLOTURE" class="java.sql.Timestamp"/>
	<field name="LOG_ORDRE" class="java.math.BigDecimal"/>
	<field name="TYOR_ID" class="java.math.BigDecimal"/>
	<field name="ORG_SOUSCR" class="java.lang.String"/>
	<field name="LC_STRUCTURE" class="java.lang.String"/>
	<field name="LL_STRUCTURE" class="java.lang.String"/>
	<field name="ORG_SHORT_LIB" class="java.lang.String"/>


		<group  name="EXERCICE" >
			<groupExpression><![CDATA[$P{EXE_EXERCICE}]]></groupExpression>
			<groupHeader>
			<band height="31"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						mode="Opaque"
						x="152"
						y="3"
						width="480"
						height="26"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText-1"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="18" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Organigramme budgétaire]]></text>
				</staticText>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="1"
						y="3"
						width="144"
						height="26"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-14"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Oblique" size="8" isBold="false" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{UNIV}]]></textFieldExpression>
				</textField>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<group  name="ORG_UNIV" isStartNewPage="true" >
			<groupExpression><![CDATA[$F{ORG_UNIV}]]></groupExpression>
			<groupHeader>
			<band height="0"  isSplitAllowed="true" >
				<printWhenExpression><![CDATA[new Boolean(($F{ORG_UNIV}!=null))]]></printWhenExpression>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<group  name="ORG_ETAB" isStartNewPage="true" >
			<groupExpression><![CDATA[$F{ORG_ETAB}]]></groupExpression>
			<groupHeader>
			<band height="21"  isSplitAllowed="true" >
				<printWhenExpression><![CDATA[new Boolean(($F{ORG_ETAB}!=null))]]></printWhenExpression>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="1"
						y="0"
						width="779"
						height="17"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-10"/>
					<box topBorder="Thin" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="4" rightBorder="Thin" rightBorderColor="#000000" bottomBorder="Thin" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Bold" size="12" isBold="true" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{ORG_ETAB} + (!$F{ORG_LIB}.equals($F{ORG_ETAB})? " - " + $F{ORG_LIB} : "" )]]></textFieldExpression>
				</textField>
				<subreport  isUsingCache="true">
					<reportElement
						mode="Opaque"
						x="90"
						y="15"
						width="0"
						height="0"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="subreport-2"/>
				</subreport>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<group  name="ORG_UB" >
			<groupExpression><![CDATA[$F{ORG_UB}]]></groupExpression>
			<groupHeader>
			<band height="22"  isSplitAllowed="true" >
				<printWhenExpression><![CDATA[new Boolean(($F{ORG_UB}!=null))]]></printWhenExpression>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="23"
						y="0"
						width="757"
						height="17"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-11"/>
					<box topBorder="Dotted" topBorderColor="#000000" leftBorder="Dotted" leftBorderColor="#000000" leftPadding="4" rightBorder="Dotted" rightBorderColor="#000000" bottomBorder="Dotted" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-BoldOblique" size="12" isBold="true" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{ORG_UB} + (!$F{ORG_LIB}.equals($F{ORG_UB})? " - " + $F{ORG_LIB} : "" )]]></textFieldExpression>
				</textField>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
				<printWhenExpression><![CDATA[new Boolean(($F{ORG_UB}!=null))]]></printWhenExpression>
			</band>
			</groupFooter>
		</group>
		<group  name="ORG_CR" >
			<groupExpression><![CDATA[$F{ORG_CR}]]></groupExpression>
			<groupHeader>
			<band height="21"  isSplitAllowed="true" >
				<printWhenExpression><![CDATA[new Boolean(($F{ORG_CR}!=null))]]></printWhenExpression>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="40"
						y="0"
						width="737"
						height="17"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-12"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" leftPadding="4" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Bold" size="10" isBold="true" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["> " + $F{ORG_CR}+ (!$F{ORG_LIB}.equals($F{ORG_CR})? " - " + $F{ORG_LIB} : "" )]]></textFieldExpression>
				</textField>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<group  name="ORG_SOUSCR" >
			<groupExpression><![CDATA[$F{ORG_SOUSCR}]]></groupExpression>
			<groupHeader>
			<band height="22"  isSplitAllowed="true" >
				<printWhenExpression><![CDATA[new Boolean(($F{ORG_SOUSCR}!=null))]]></printWhenExpression>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="58"
						y="1"
						width="718"
						height="17"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-13"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="10" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{ORG_SOUSCR}+ (!$F{ORG_LIB}.equals($F{ORG_SOUSCR})? " - " + $F{ORG_LIB} : "" )]]></textFieldExpression>
				</textField>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="16"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						mode="Opaque"
						x="0"
						y="0"
						width="480"
						height="12"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText-3"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Oblique" size="8" isBold="false" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Organigramme budgétaire]]></text>
				</staticText>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false" evaluationTime="Report" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="638"
						y="0"
						width="143"
						height="11"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-17"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Oblique" size="8" isBold="false" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Exercice " + $P{EXE_EXERCICE}]]></textFieldExpression>
				</textField>
				<line direction="TopDown">
					<reportElement
						x="0"
						y="14"
						width="782"
						height="0"
						key="line-1"/>
					<graphicElement stretchType="NoStretch"/>
				</line>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="12"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="true" pattern="dd/MM/yyyy" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Transparent"
						x="2"
						y="0"
						width="113"
						height="11"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-15"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica-Oblique" size="8" isBold="false" isItalic="true" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Imprimé le " + new SimpleDateFormat("dd/MM/yyyy").format(new Date())]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="645"
						y="0"
						width="63"
						height="11"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Page " + $V{PAGE_NUMBER} + "/"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false" evaluationTime="Report" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="709"
						y="0"
						width="69"
						height="11"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-5"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.Integer"><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
				</textField>
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
